#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

vec2 texcoord_off;

uniform sampler2D u_texture1;
uniform float u_interpolate;
uniform float u_time;
void main(void)
{
	float time = CC_Time[1];
	texcoord_off.x = v_texCoord.x;
	texcoord_off.y = v_texCoord.y + u_time;
	vec2 texcoord = mod(texcoord_off,1.0);   
    gl_FragColor = v_fragmentColor * texture2D(CC_Texture0, texcoord);
}