
#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D u_texture1;
uniform float u_interpolate;
uniform float u_time;

vec2 texcoord_off;

void main() 
{
    vec4 color1 = texture2D(CC_Texture0, v_texCoord);
	
	float time = CC_Time[1];
	texcoord_off.x = v_texCoord.x - u_time;
	texcoord_off.y = v_texCoord.y;
	vec2 texcoord = mod(texcoord_off,1.0); 
    vec4 color2 = texture2D(u_texture1, texcoord);
	color2.a = 0;
	
	vec4 mixColor = mix( color1, color2, u_interpolate);
	if(color1.a < 0.5)
		discard;
    gl_FragColor = mixColor;
}

